Product comparison · 2 ip phones

Yealink T58W(Pro) with Camera vs Yealink W77P IP phone Black TFT

Add a product
  • 42specifications compared
  • 14differ
  • 28identical
  • 69known for one product only

Key differences

The Yealink T58W(Pro) with Camera has 2 more keypad keys than the Yealink W77P IP phone Black TFT (27 vs 25). The Yealink T58W(Pro) with Camera has 1 more function keys than the Yealink W77P IP phone Black TFT (7 vs 6). The Yealink W77P IP phone Black TFT has 9,100 Mbit/s more Ethernet LAN data rates than the Yealink T58W(Pro) with Camera (10,100 Mbit/s vs 1000 Mbit/s). Only the Yealink T58W(Pro) with Camera has Wi-Fi. Product colour: Grey on the Yealink T58W(Pro) with Camera, Black on the Yealink W77P IP phone Black TFT.

  • Product colour
    • T58W(Pro) with Camera:Grey
    • W77P IP phone Black TFT:Black
  • Keypad number of keys
    • T58W(Pro) with Camera:27
    • W77P IP phone Black TFT:25
  • Number of function keys
    • T58W(Pro) with Camera:7
    • W77P IP phone Black TFT:6
  • Display
    • T58W(Pro) with Camera:LCD
    • W77P IP phone Black TFT:TFT
  • Display diagonal
    • T58W(Pro) with Camera:17.8 cm (7")
    • W77P IP phone Black TFT:4.57 cm (1.8")
  • Display resolution
    • T58W(Pro) with Camera:1024 x 600 pixels
    • W77P IP phone Black TFT:128 x 160 pixels
  • Ethernet LAN data rates
    • T58W(Pro) with Camera:1000 Mbit/s
    • W77P IP phone Black TFT:10,100 Mbit/s
  • Ethernet LAN interface type
    • T58W(Pro) with Camera:Gigabit Ethernet
    • W77P IP phone Black TFT:Fast Ethernet

Side by side

Differences highlightedShow differences only (on)
Comparison of T58W(Pro) with Camera, W77P
111 specifications
Design1 differ
Product colourDiffersGreyBlack
Backlight keypadKnown for oneUnknown — not stated by the sourceYes
Device lockKnown for oneUnknown — not stated by the sourceYes
MountingKnown for oneUnknown — not stated by the sourceDesk/Wall
Protection featuresKnown for oneUnknown — not stated by the sourceDust resistant, Scratch resistant, Shock resistant, Splash proof
Performance1 differ
Dual-Tone Multi-Frequency (DTMF) modesDiffersIn-band, Out-of band, SIP infoSIP info
DECT connectableKnown for oneUnknown — not stated by the sourceYes
Maximum indoor rangeKnown for oneUnknown — not stated by the source50 m
Maximum outdoor rangeKnown for oneUnknown — not stated by the source300 m
Phone featuresidentical
Call parkKnown for oneYesUnknown — not stated by the source
Call pick upKnown for oneYesUnknown — not stated by the source
Call returnKnown for oneYesUnknown — not stated by the source
Do not disturb functionKnown for oneYesUnknown — not stated by the source
Simultaneous ringKnown for oneUnknown — not stated by the sourceYes
Call historyKnown for oneUnknown — not stated by the sourceYes
Direct callKnown for oneUnknown — not stated by the sourceYes
Emergency callKnown for oneUnknown — not stated by the sourceYes
Vibrating alertKnown for oneUnknown — not stated by the sourceYes
Management features2 differ
Keypad number of keysDiffers2725
Number of function keysDiffers76
Number of programmable keysKnown for oneUnknown — not stated by the source2
Firmware upgradeableKnown for oneUnknown — not stated by the sourceYes
Display3 differ
DisplayDiffersLCDTFT
Display diagonalDiffers17.8 cm (7")4.57 cm (1.8")
Display resolutionDiffers1024 x 600 pixels128 x 160 pixels
TouchscreenKnown for oneYesUnknown — not stated by the source
Touchscreen typeKnown for oneCapacitiveUnknown — not stated by the source
Number of simultaneous touchpointsKnown for oneUnknown — not stated by the source20
Cameraidentical
Front cameraKnown for oneYesUnknown — not stated by the source
Front camera resolution (numeric)Known for one2 MPUnknown — not stated by the source
Field of view (FOV) angleKnown for one75°Unknown — not stated by the source
Camera privacy shutterKnown for oneYesUnknown — not stated by the source
Audioidentical
Microphone muteKnown for oneYesUnknown — not stated by the source
Adaptive jitter buffersKnown for oneYesUnknown — not stated by the source
Packet loss concealment (PLC)Known for oneYesUnknown — not stated by the source
Voice activity detectionKnown for oneYesUnknown — not stated by the source
Voice codecsKnown for oneG.711a, G.722, G.723.1, G.726, G.729, G.729A, G.729B, iLBCUnknown — not stated by the source
Number of melodiesKnown for oneUnknown — not stated by the source9
Videoidentical
Video callKnown for oneYesUnknown — not stated by the source
Bit rateKnown for one512 Kbit/sUnknown — not stated by the source
Video resolutionsKnown for one1280 x 720 pixelsUnknown — not stated by the source
Video capture resolution (max)Known for one1280 x 720 pixelsUnknown — not stated by the source
Video capturing speedKnown for one30 fpsUnknown — not stated by the source
Video codecsKnown for oneH.264 High Profile, H.264, VP8Unknown — not stated by the source
Network3 differ
Ethernet LAN data ratesDiffers1000 Mbit/s10,100 Mbit/s
Ethernet LAN interface typeDiffersGigabit EthernetFast Ethernet
Wi-FiDiffersYesNo
Wi-Fi standardsKnown for one802.11a, 802.11b, 802.11g, Wi-Fi 4 (802.11n)Unknown — not stated by the source
Bluetooth versionKnown for one4.2Unknown — not stated by the source
Networking standardsKnown for oneIEEE 802.11a, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.1x, IEEE 802.3afUnknown — not stated by the source
Quality of Service (QoS) supportKnown for oneYesUnknown — not stated by the source
Security algorithmsKnown for one256-bit AES, HTTPS, TLS, WPA2, WPA3Unknown — not stated by the source
Supported network protocolsKnown for oneIPv4/IPv6, SIP v1 (RFC2543), v2 (RFC3261), UDP/TCP/DNS-SRV (RFC 3263)Unknown — not stated by the source
DHCP clientKnown for oneUnknown — not stated by the sourceYes
Ports & interfaces1 differ
USB 2.0 ports quantityKnown for one2Unknown — not stated by the source
Ethernet LAN (RJ-45) portsDiffers21
RJ-9 ports quantityKnown for one2Unknown — not stated by the source
Poweridentical
AC adapter input voltageKnown for oneUnknown — not stated by the source100 - 240 V
Standby timeKnown for oneUnknown — not stated by the source575 h
Talk timeKnown for oneUnknown — not stated by the source40 h
Operational conditions2 differ
Operating relative humidity (H-H)Differs5 - 90%10 - 95%
Operating temperature (T-T)Differs-10 - 45 °C-10 - 50 °C
Storage relative humidity (H-H)Known for oneUnknown — not stated by the source-30 - 70%
Weight & dimensions1 differ
WidthKnown for one259.4 mmUnknown — not stated by the source
DepthKnown for one220 mmUnknown — not stated by the source
HeightKnown for one239 mmUnknown — not stated by the source
Package widthKnown for one324 mmUnknown — not stated by the source
Package depthKnown for one293 mmUnknown — not stated by the source
Package heightKnown for one128 mmUnknown — not stated by the source
Package weightDiffers8.8 kg8.14 kg
WeightKnown for oneUnknown — not stated by the source7.46 kg
Handset dimensions (WxDxH)Known for oneUnknown — not stated by the source157 x 51 x 24 mm
Base dimensions (WxDxH)Known for oneUnknown — not stated by the source130 x 100 x 25.1 mm
Packaging contentidentical
AC adapter includedKnown for oneUnknown — not stated by the sourceYes
Base stationKnown for oneUnknown — not stated by the sourceYes
ChargerKnown for oneUnknown — not stated by the sourceYes
Ethernet cableKnown for oneUnknown — not stated by the sourceYes
HandsetKnown for oneUnknown — not stated by the sourceYes
ManualKnown for oneUnknown — not stated by the sourceYes
Enduranceidentical
International Protection (IP) codeKnown for oneUnknown — not stated by the sourceIP54
Batteryidentical
Battery technologyKnown for oneUnknown — not stated by the sourceLithium-Ion (Li-Ion)
Battery capacityKnown for oneUnknown — not stated by the source1460 mAh
Battery voltageKnown for oneUnknown — not stated by the source3.7 V

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More ip phone comparisons

All ip phone comparisons